質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.44%
CentOS

CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

Q&A

解決済

1回答

4436閲覧

centOS 7 でのibus-mozcの最新の設定方法を教えて下さい。

chrokurojp

総合スコア26

CentOS

CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

0グッド

0クリップ

投稿2016/08/24 03:12

下記ページを参考にibus-mozcを設定し動作しましたが、yum updateでエラーが出るようになってしまいました
どうしたらいいのでしょうか、なおibus-mozcライブラリの最新バージョン24だとライブラリの
インストール自体ができませんでした。

centOS 7 でのibus-mozcの最新の設定方法を教えて下さい。

作業環境はcentOS 7です。

http://mercurial.secret.jp/Whimsical_diary/archives/655

【作業内容】

wget ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/19/Everything/x86_64/os/Packages/i/ibus-mozc-1.10.1390.102-1.fc19.x86_64.rpm wget ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/19/Everything/x86_64/os/Packages/m/mozc-1.10.1390.102-1.fc19.x86_64.rpm wget ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/19/Everything/x86_64/os/Packages/p/protobuf-2.5.0-4.fc19.x86_64.rpm wget ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/19/Everything/x86_64/os/Packages/z/zinnia-0.06-16.fc19.x86_64.rpm wget ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/19/Everything/x86_64/os/Packages/z/zinnia-tomoe-0.06-16.fc19.x86_64.rpm sudo yum localinstall -y protobuf-2.5.0-4.fc19.x86_64.rpm sudo yum localinstall -y zinnia-0.06-16.fc19.x86_64.rpm sudo yum localinstall -y zinnia-tomoe-0.06-16.fc19.x86_64.rpm sudo yum localinstall -y mozc-1.10.1390.102-1.fc19.x86_64.rpm sudo yum localinstall -y ibus-mozc-1.10.1390.102-1.fc19.x86_64.rpm

【yum update 結果】

[root@localhost ~]# yum update -y 読み込んだプラグイン:fastestmirror, langpacks Loading mirror speeds from cached hostfile * base: mirror.nus.edu.sg * epel: epel.mirror.net.in * extras: mirror.readyspace.com * updates: mirrors.163.com 依存性の解決をしています --> トランザクションの確認を実行しています。 ---> パッケージ epel-release.noarch 0:7-6 を 更新 ---> パッケージ epel-release.noarch 0:7-8 を アップデート ---> パッケージ protobuf.x86_64 0:2.5.0-4.fc19 を 更新 ---> パッケージ protobuf.x86_64 0:2.5.0-8.el7 を アップデート ---> パッケージ zinnia.x86_64 0:0.06-16.fc19 を 更新 --> 依存性の処理をしています: zinnia = 0.06-16.fc19 のパッケージ: zinnia-tomoe-0.06-16.fc19.x86_64 ---> パッケージ zinnia.x86_64 0:0.06-22.el7 を アップデート --> 依存性解決を終了しました。 エラー: パッケージ: zinnia-tomoe-0.06-16.fc19.x86_64 (@/zinnia-tomoe-0.06-16.fc19.x86_64) 要求: zinnia = 0.06-16.fc19 削除中: zinnia-0.06-16.fc19.x86_64 (@/zinnia-0.06-16.fc19.x86_64) zinnia = 0.06-16.fc19 次のものにより更新された: : zinnia-0.06-22.el7.x86_64 (epel) zinnia = 0.06-22.el7 問題を回避するために --skip-broken を用いることができます。 これらを試行できます: rpm -Va --nofiles --nodigest

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

EPEL リポジトリにある zinnia の方がバージョン・リリースが上なので、アップデートしようとするのですが、既にインストールされている zinnia-tomoe について、EPEL に同名のパッケージが存在しないため、エラーとなっているようです(EPEL に zinnia-tomoe-ja は存在する)。
zinnia-tomoe を zinnia-tomoe-ja で置き換えられるのかはわかりません。

回避策としては、/etc/yum.conf に exclude=zinnia* を設定してアップデート対象外とすれば、yum update でエラーが出なくなると思います。

(余談) Fedora 19 用の RPM をインストールしてたまたま動いているようですが、本来は CentOS 7 用に作られた RPM じゃないとライブラリのバージョンが違ったり、依存関係などでインストールできなかったり、インストールできても動かないことがあります。

投稿2016/08/25 16:07

TaichiYanagiya

総合スコア12148

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.44%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問